This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 164207 - Mozilla does not update email list in folder using an IMAP server
Mozilla does not update email list in folder using an IMAP server
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 18:24 EDT by Bernhard Erdmann
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.7.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernhard Erdmann 2005-07-25 18:24:03 EDT
Description of problem:
Using an IMAP server (Cyrus 2.2.12) with subfolders, Mozilla does not always
update the folder's email list after selecting a folder using the mouse. If the
error occurs, it helps to click on another folder and then again on the desired
folder.

Version-Release number of selected component (if applicable):
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719
Fedora/1.7.10-1.3.1

How reproducible:
always

Steps to Reproduce:
1. connect your Mozilla 1.7.10 to a Cyrus IMAP server
2. click on different subfolders of your INBOX
3. watch the list's update of the folder's content
  
Actual results:
In 30-40 % of all cases, Mozilla misses to update the list of folder's content.

Expected results:
Mozilla should always update the list after selecting a folder.

Additional info:
Never seen this before on any Mozilla release.
Comment 1 Valentin Guggiana 2005-07-26 15:28:47 EDT
The same for me using a pop server.
Comment 2 Bernhard Erdmann 2005-07-31 15:04:31 EDT
Bug should be fixed in version 1.7.11
https://bugzilla.mozilla.org/show_bug.cgi?id=300749
Comment 3 Aleksander Adamowski 2005-08-10 07:24:47 EDT
For the record, the same problem was visible with the following version:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719
Fedora/1.7.10-1.5.1

This is a regression, since the problem started when I've installed the latest
updates for Fedora Core 4:

(from yum.log):
Aug 10 08:49:18 Updated: mozilla-nspr.i386 37:1.7.10-1.5.1
...
Aug 10 08:49:34 Updated: mozilla-nss.i386 37:1.7.10-1.5.1
Aug 10 08:49:53 Updated: mozilla.i386 37:1.7.10-1.5.1
...
Aug 10 09:02:42 Updated: mozilla-mail.i386 37:1.7.10-1.5.1

The earlier version that worked fine was 1.7.8-2, installed on Jul 13:

Jul 13 19:18:18 Updated: mozilla-mail.i386 37:1.7.8-2


So the regression has occured somewhere between mozilla package versions 1.7.8-2
and 1.7.10-1.5.1.
Comment 4 Aleksander Adamowski 2005-08-17 06:08:43 EDT
So can we count on an update release for Fedora Core 4?

The latest mozilla packages from Fedora are almost unusable for mailnews :(
Comment 5 Aleksander Adamowski 2005-08-29 06:56:38 EDT
Could the bug be reopened until an updated package for the latest Fedora release
(FC4) comes out?

There's no updated RPM for Fedora Core 4 yet.
Comment 6 Aleksander Adamowski 2005-08-31 04:53:08 EDT
It would be very bad if that broken package managed to get into RHEL...

Did anyone at Redhat notice this regression? It's serious.
Comment 7 Matthew Miller 2006-07-10 18:49:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 Matěj Cepl 2007-07-18 13:22:45 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 9 Matěj Cepl 2007-08-28 10:43:07 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.